<div class="app-container">
    <div class="app-header">
        <mat-icon (click)="goToAngularPage()">keyboard_backspace</mat-icon>
        <h1>Lifecyle Hook</h1>
    </div>
    <div class="app-content">
        <app-child-lifecycle [name]="name" [age]="age">
            <p #parentReferenceByContentChild>{{ parentVar }}</p>
        </app-child-lifecycle>
    </div>
</div>